LILYPOND-BOOK(1)

NAME
lilypond-book - manual page for lilypond-book 2.10.33

SYNOPSIS
lilypond-book [OPTIONS] FILE

DESCRIPTION
Process LilyPond snippets in hybrid HTML, LaTeX, texinfo or DocBook document.

Example usage:

    lilypond-book --filter="tr '[a-z]' '[A-Z]'" BOOK lilypond-book --filter="convert-ly --no-version --from=2.0.0 -" BOOK lilypond-book --process='lilypond -I include' BOOK

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-F, --filter=FILTER
    pipe snippets through FILTER [convert-ly -n -]

-f, --format=None
    use output format FORMAT (texi [default], texi-html, latex, html, docbook)

-I, --include=DIR
    add DIR to include path

--left-padding=PAD
    Pad left side of music to align music inspite of uneven bar numbers. (in mm)

-o, --output=DIR
    write output to DIR

-P, --process=COMMAND
    process ly_files using COMMAND FILE...

--pdf
    Create PDF files for use with PDFTeX

--psfonts
    extract all PostScript fonts into INPUT.psfonts for LaTeX must use this with dvips -h INPUT.psfonts

-V, --verbose
    be verbose

-w, --warranty
    show warranty and copyright

Bugs:

REPORTING BUGS
Report bugs via http://post.gmane.org/post.php?group=gmane.comp.gnu.lilypond.bugs

SEE ALSO
The full documentation for lilypond-book is maintained as a Texinfo manual. If the info and lilypond-book programs are properly installed at your site, the command

    info lilypond-book

should give you access to the complete manual.